module PaymentOrchestration
  class PaymentDetailsController < ApplicationController
    before_action :set_payment_detail, only: %i[ show edit update destroy ]

    # GET /payment_details
    def index
      @payment_details = PaymentDetail.all
    end

    # GET /payment_details/1
    def show
    end

    # GET /payment_details/new
    def new
      @payment_detail = PaymentDetail.new
    end

    # GET /payment_details/1/edit
    def edit
    end

    # POST /payment_details
    def create
      @payment_detail = PaymentDetail.new(payment_detail_params)

      if @payment_detail.save
        redirect_to @payment_detail, notice: "Payment detail was successfully created."
      else
        render :new, status: :unprocessable_entity
      end
    end

    # PATCH/PUT /payment_details/1
    def update
      if @payment_detail.update(payment_detail_params)
        redirect_to @payment_detail, notice: "Payment detail was successfully updated.", status: :see_other
      else
        render :edit, status: :unprocessable_entity
      end
    end

    # DELETE /payment_details/1
    def destroy
      @payment_detail.destroy!
      redirect_to payment_details_path, notice: "Payment detail was successfully destroyed.", status: :see_other
    end

    private
      # Use callbacks to share common setup or constraints between actions.
      def set_payment_detail
        @payment_detail = PaymentDetail.find(params.expect(:id))
      end

      # Only allow a list of trusted parameters through.
      def payment_detail_params
        params.expect(payment_detail: [ :payment_id, :invoice_reference, :items, :tax, :total_amount, :currency_id ])
      end
  end
end
