module PaymentOrchestration
  class PaymentsController < ApplicationController
    before_action :set_payment, only: %i[ show edit update destroy ]

    # GET /payments
    def index
      @payments = Payment.all
    end

    # GET /payments/1
    def show
    end

    # GET /payments/new
    def new
      @payment = Payment.new
    end

    # GET /payments/1/edit
    def edit
    end

    # POST /payments
    def create
      @payment = Payment.new(payment_params)

      if @payment.save
        redirect_to @payment, notice: "Payment was successfully created."
      else
        render :new, status: :unprocessable_entity
      end
    end

    # PATCH/PUT /payments/1
    def update
      if @payment.update(payment_params)
        redirect_to @payment, notice: "Payment was successfully updated.", status: :see_other
      else
        render :edit, status: :unprocessable_entity
      end
    end

    # DELETE /payments/1
    def destroy
      @payment.destroy!
      redirect_to payments_path, notice: "Payment was successfully destroyed.", status: :see_other
    end

    private
      # Use callbacks to share common setup or constraints between actions.
      def set_payment
        @payment = Payment.find(params.expect(:id))
      end

      # Only allow a list of trusted parameters through.
      def payment_params
        params.expect(payment: [ :description, :payment_method, :status, payment_details: [] ])
      end
  end
end
