module PaymentOrchestration
  class TransactionsController < ApplicationController
    before_action :set_transaction, only: %i[ show edit update destroy ]

    # GET /transactions
    def index
      @transactions = Transaction.all
    end

    # GET /transactions/1
    def show
    end

    # GET /transactions/new
    def new
      @transaction = Transaction.new
    end

    # GET /transactions/1/edit
    def edit
    end

    # POST /transactions
    def create
      @transaction = Transaction.new(transaction_params)

      if @transaction.save
        redirect_to @transaction, notice: "Transaction was successfully created."
      else
        render :new, status: :unprocessable_entity
      end
    end

    # PATCH/PUT /transactions/1
    def update
      if @transaction.update(transaction_params)
        redirect_to @transaction, notice: "Transaction was successfully updated.", status: :see_other
      else
        render :edit, status: :unprocessable_entity
      end
    end

    # DELETE /transactions/1
    def destroy
      @transaction.destroy!
      redirect_to transactions_path, notice: "Transaction was successfully destroyed.", status: :see_other
    end

    private
      # Use callbacks to share common setup or constraints between actions.
      def set_transaction
        @transaction = Transaction.find(params.expect(:id))
      end

      # Only allow a list of trusted parameters through.
      def transaction_params
        params.expect(transaction: [ :payment_id, :transaction_reference_code, :transaction_result ])
      end
  end
end
