require "rails"
require "active_support/dependencies"

module PaymentOrchestration
  # The parent controller all engine controllers inherits from.
  # Defaults to ApplicationController. This should be set early
  # in the initialisation process and should be set to a string.
  mattr_accessor :parent_controller
  self.parent_controller = "::ApplicationController"

  # Default way to setup the engine.
  #
  # Run 'rails generate asset_management_install' to create a fresh initializer with all
  # configuration values.
  def self.setup
    yield self
  end

  def railtie_name
    PaymentOrchestration::Engine.railtie_name
  end

  def mounted_path
    PaymentOrchestration::Engine.mounted_path
  end

  def root_path
    PaymentOrchestration::Engine.root
  end
end

# Require our engine
require "payment_orchestration/version"
require "payment_orchestration/engine"
