require_relative "lib/payment_orchestration/version"

Gem::Specification.new do |spec|
  spec.name        = "payment_orchestration"
  spec.version     = PaymentOrchestration::VERSION::STRING.dup
  spec.authors     = [ "Everard Brown" ]
  spec.email       = [ "everard.brown@htcl.eu" ]
  spec.homepage    = "http://htcl.eu"
  spec.summary     = "PaymentOrchestration engine (v#{spec.version})"
  spec.description = "Handle the views and workflow to orchestrate client payments"
  spec.license     = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the "allowed_push_host"
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"

  spec.metadata["homepage_uri"] = spec.homepage
  # spec.metadata["source_code_uri"] = "TODO: Put your gem's public repo URL here."
  # spec.metadata["changelog_uri"] = "TODO: Put your gem's CHANGELOG.md URL here."

  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    Dir["{app,bin,config,db,lib}/**/*", "MIT-LICENSE", "Rakefile", "README.md"] +
    Dir["spec/dummy/**/*"] +
    ["#{spec.name}.gemspec", "Rakefile"]
  end

  # spec.test_files = Dir["{test,spec,features}/**/*"]
  spec.require_paths = ["lib"]

  spec.rdoc_options = ["--line-numbers", "--inline-source", "--title", "payment_orchestration", "--main", "README.rdoc"]
  # spec.extra_rdoc_files = ["CHANGELOG", "README.rdoc", "lib/tasks/payment_orchestration_tasks.rake", "lib/payment_orchestration.rb"]

  spec.add_dependency "rails", "~> 8.0.0", ">= 8.0.2"

  # payments processing
  spec.add_dependency 'activemerchant'
  spec.add_dependency 'paypal_nvp'
  spec.add_dependency 'paypal-sdk-rest'

  # In-house gems
  # (during development, the dependency in Gemfile will be used)
  require File.join(File.dirname(__FILE__), 'config', 'in_house_gems')
  in_house_engines = PAYMENT_ORCHESTRATION_IN_HOUSE_ENGINES
  in_house_engines.each { |in_house_engine| spec.add_dependency in_house_engine[:name].to_s }
end
